package com.bocloud.cmp.model.jumpserver;

import com.bocloud.cmp.model.DepartmentBean;

import java.util.List;

public class SyncModel {
    private List<Device> devices;
    private List<DepartmentBean> departments;
    private List<ResourceGroup> groups;
    private List<User> users;
    private List<SysType> sysTypes;
    private List<ResourceAudit> resourceAudits;
    private List<UserGroup> userGroups;
    private List<Account> accounts;
    private List<CmdTemplate> cmdTemplates;
    private List<DangerCmd> dangerCmds;
    private List<Rule> rules;
    private List<Role> roles;
    private List<CmdTemplateRule> tempRules;

    public void setCmdTemplates(List<CmdTemplate> cmdTemplates) {
        this.cmdTemplates = cmdTemplates;
    }

    public List<CmdTemplate> getCmdTemplates() {
        return cmdTemplates;
    }

    public void setDangerCmds(List<DangerCmd> dangerCmds) {
        this.dangerCmds = dangerCmds;
    }

    public List<DangerCmd> getDangerCmds() {
        return dangerCmds;
    }

    public List<Device> getDevices() {
        return devices;
    }

    public void setDevices(List<Device> devices) {
        this.devices = devices;
    }

    public List<DepartmentBean> getDepartments() {
        return departments;
    }

    public void setDepartments(List<DepartmentBean> departments) {
        this.departments = departments;
    }

    public List<ResourceGroup> getGroups() {
        return groups;
    }

    public void setGroups(List<ResourceGroup> groups) {
        this.groups = groups;
    }

    public List<User> getUsers() {
        return users;
    }

    public void setUsers(List<User> users) {
        this.users = users;
    }

    public List<SysType> getSysTypes() {
        return sysTypes;
    }

    public void setSysTypes(List<SysType> sysTypes) {
        this.sysTypes = sysTypes;
    }

    public List<ResourceAudit> getResourceAudits() {
        return resourceAudits;
    }

    public void setResourceAudits(List<ResourceAudit> resourceAudits) {
        this.resourceAudits = resourceAudits;
    }

    public List<UserGroup> getUserGroups() {
        return userGroups;
    }

    public void setUserGroups(List<UserGroup> userGroups) {
        this.userGroups = userGroups;
    }

    public List<Account> getAccounts() {
        return accounts;
    }

    public void setAccounts(List<Account> accounts) {
        this.accounts = accounts;
    }

    public List<Rule> getRules() {
        return rules;
    }

    public void setRules(List<Rule> rules) {
        this.rules = rules;
    }

    public void setRoles(List<Role> roles) {
        this.roles = roles;
    }

    public List<Role> getRoles() {
        return roles;
    }

    public void setTempRules(List<CmdTemplateRule> tempRules) {
        this.tempRules = tempRules;
    }

    public List<CmdTemplateRule> getTempRules() {
        return tempRules;
    }
}
